/*
  Blink Three LEDs on the Mortty CW Keyer, Larry K8UT 2020-07-15

  Turns on each LED in sequence
  Then turns on all three
  Then turns off all three LED
  Lather, rinse, and repeat
  
  Most Arduinos have an on-board LED you can control. On the UNO, MEGA and ZERO
  it is attached to digital pin LED_RED, on MKR1000 on pin 6. LED_BUILTIN is set to
  the correct LED pin independent of which board is used.
  If you want to know what pin the on-board LED is connected to on your Arduino
  model, check the Technical Specs of your board at:
  https://www.arduino.cc/en/Main/Products

  modified 8 May 2014
  by Scott Fitzgerald
  modified 2 Sep 2016
  by Arturo Guadalupi
  modified 8 Sep 2016
  by Colby Newman

  This example code is in the public domain.

  http://www.arduino.cc/en/Tutorial/Blink
*/

#define LED_GREEN  11
#define LED_YELLOW  12
#define LED_RED 13

#define potentiometer A0        // Speed potentiometer (0 to 5 V) Use pot from 1k to 10k

#define min_delay 10
#define max_delay 500

// the setup function runs once when you press reset or power the board
void setup() {
  // initialize digital pin LED_BUILTIN as an output.
  //pinMode(LED_BUILTIN, OUTPUT);
  pinMode(LED_GREEN , OUTPUT);
  pinMode(LED_YELLOW , OUTPUT);
  pinMode(LED_RED, OUTPUT);

}

// the loop function runs over and over again forever
void loop() {
  //digitalWrite(LED_BUILTIN, HIGH);   // turn the LED on (HIGH is the voltage level)

  digitalWrite(LED_GREEN, HIGH);    // turn the GREEN Radio1 CW/ TinyFSK LED
  digitalWrite(LED_YELLOW, LOW);    // turn the LED off by making the voltage LOW
  digitalWrite(LED_RED, LOW);        // turn the LED off by making the voltage LOW
  potentiometer_delay();

  digitalWrite(LED_GREEN, LOW);     // turn the LED off
  digitalWrite(LED_YELLOW, HIGH);   // turn the YELLOW Radio2/nanoIO-FSK LED
  digitalWrite(LED_RED, LOW);        // turn the LED off by making the voltage LOW
  potentiometer_delay();
  
  digitalWrite(LED_YELLOW, LOW);    // turn the LED off
  digitalWrite(LED_GREEN, LOW);    // turn the LED off by making the voltage LOW
  digitalWrite(LED_RED, HIGH);   // turn the RED PTT LED ON 
  potentiometer_delay();

  digitalWrite(LED_YELLOW, LOW);    // turn the LED off
  digitalWrite(LED_GREEN, LOW);    // turn the LED off
  digitalWrite(LED_RED, LOW);    // turn the LED off
  potentiometer_delay();
  
  digitalWrite(LED_YELLOW, HIGH);    // turn the GREEN LED on
  digitalWrite(LED_GREEN, HIGH);    // turn the YELLOW LED on
  digitalWrite(LED_RED, HIGH);    // turn the RED on
  potentiometer_delay();

  digitalWrite(LED_YELLOW, LOW);    // turn the LED off
  digitalWrite(LED_GREEN, LOW);    // turn the LED off
  digitalWrite(LED_RED, LOW);    // turn the LED off
  potentiometer_delay();
  
}

void potentiometer_delay(){
  
  // wait for x milliseconds based on potentiometer reading

  delay(map(analogRead(potentiometer),0,1032,max_delay,min_delay));

}
